Subject: Re: bug#53013: 29.0.50; xwidget-webkit: SIGCHLD not being caught after xwidget-webkit buffer killed

From: Po Lu <[email-masked]>
Date: Sat, 08 Jan 2022 12:37:03 +0800

Richard Stallman <[email-masked]> writes:

> I don't know enough to have an opinion in detail, but on general
> principles I suggest that we fix our own code.  Depending on an
> external package for little bits of Emacs is asking for trouble.  Our
> code can have bugs, and the Glib code can have bugs, but if our
> code has bugs, there is no obstacle to our using a fixed version.

I'm only proposing to use GLib's code in Emacs builds that have GLib.
(Those which use GTK+, for example, must have GLib.)

The reason is that GLib resets the Emacs SIGCHLD handler at random
spots, which is very difficult to work around.

Thanks.